ormolu-0.7.4.0: A formatter for Haskell source code

Safe Haskell | None
Language | GHC2021

Ormolu.Printer.Meat.Type

Description

Rendering of types.

Synopsis

- p_hsType :: HsType GhcPs -> R ()
- hasDocStrings :: HsType GhcPs -> Bool
- p_hsContext :: HsContext GhcPs -> R ()
- p_hsTyVarBndr :: IsTyVarBndrFlag flag => HsTyVarBndr flag GhcPs -> R ()
- data ForAllVisibility
  - = ForAllInvis
  - | ForAllVis
- p_forallBndrs :: HasSrcSpan l => ForAllVisibility -> (a -> R ()) -> [GenLocated l a] -> R ()
- p_conDeclFields :: [LConDeclField GhcPs] -> R ()
- p_lhsTypeArg :: LHsTypeArg GhcPs -> R ()
- p_hsSigType :: HsSigType GhcPs -> R ()
- hsOuterTyVarBndrsToHsType :: HsOuterTyVarBndrs Specificity GhcPs -> LHsType GhcPs -> HsType GhcPs
- lhsTypeToSigType :: LHsType GhcPs -> LHsSigType GhcPs

# Documentation

p_hsType :: HsType GhcPs -> R () #

hasDocStrings :: HsType GhcPs -> Bool #

Return `True` if at least one argument in `HsType` has a doc string attached to it.

p_hsContext :: HsContext GhcPs -> R () #

p_hsTyVarBndr :: IsTyVarBndrFlag flag => HsTyVarBndr flag GhcPs -> R () #

data ForAllVisibility #

Constructors

ForAllInvis |
ForAllVis |

p_forallBndrs :: HasSrcSpan l => ForAllVisibility -> (a -> R ()) -> [GenLocated l a] -> R () #

Render several `forall`-ed variables.

p_conDeclFields :: [LConDeclField GhcPs] -> R () #

p_lhsTypeArg :: LHsTypeArg GhcPs -> R () #

p_hsSigType :: HsSigType GhcPs -> R () #

hsOuterTyVarBndrsToHsType :: HsOuterTyVarBndrs Specificity GhcPs -> LHsType GhcPs -> HsType GhcPs #

lhsTypeToSigType :: LHsType GhcPs -> LHsSigType GhcPs #